<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.List"
	import="java.util.ArrayList"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final String extraStyles = request.getParameter("extraStyles");
String styles = "~css/reggie-2.css,~css/printable.css";
if (extraStyles != null)
{
	styles += ",~css/"+extraStyles;
}
%>
<base:page type="iframe" favicon="<%=home+"/images/print.png"%>" noskin="true">
<base:head
	scripts="~print.js"
	styles="<%=styles%>"
/>
<base:body>
	<div class="paper" id="paper">
		<div id="print-instructions" class="noprint fullwidth">
			<base:button id="print-button" image="<%=home+"/images/print.png"%>" title="Print&hellip;" />
			<span id="printNote"></span>
			<br clear="all">
		</div>
		<div id="printarea"></div>
	</div>
</base:body>
</base:page>
